Scilab Function
Last update : 00/00/0000

unix_x - shell (sh) command execution, output redirected to a window

### Calling Sequence

  `unix_x(cmd)`

### Parameters

- `cmd`: a character string

### Description

Sends a string `cmd` to Unix for execution by the sh shell. The standard output is redirected to a window. Unix execution errors are trapped; *NOTE* that only the last shell command error is reported when a list of command separated by ";" is sent: this is not recommended.

### Examples

    if MSDOS then unix_x("dir "+'""'+WSCI+"\demos"+'""');
    else unix_x("ls $SCI/demos"); end

### See Also

`edit`, `manedit`, `unix_g`, `unix_s`, `unix_w`, `unix`,